# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: llvm-openmp
  version: 10.0.1
source:
  sha256: d19f728c8e04fb1e94566c8d76aef50ec926cd2f95ef3bf1e0a5de4909b28b44
  url: https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.1/openmp-10.0.1.src.tar.xz
build:
  ignore_run_exports:
    - _openmp_mutex
    - libgcc-ng
    - libstdcxx-ng
  number: 0
  run_exports:
    strong:
      - _openmp_mutex * *_llvm
      - _openmp_mutex >=5.1
      - llvm-openmp >=10.0.1
  string: h59a28a9_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.36.1 h0d3074b_3
    - binutils_linux-aarch64 2.36.1 h1234567_41
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2021.4.13 hd43f75c_1
    - cmake 3.19.6 h1ac774c_0
    - expat 2.3.0 h7c1a80f_2
    - gcc_impl_linux-aarch64 10.2.0 h1234567_51
    - gcc_linux-aarch64 10.2.0 h1234567_41
    - gxx_impl_linux-aarch64 10.2.0 h1234567_51
    - gxx_linux-aarch64 10.2.0 h1234567_41
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_13
    - krb5 1.19.1 h4b604a8_0
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libcurl 7.71.1 h48584d0_1
    - libedit 3.1.20210216 hfd63f10_1
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_51
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libssh2 1.9.0 hcd09bdd_1
    - libstdcxx-devel_linux-aarch64 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - libuv 1.40.0 hfd63f10_0
    - lz4-c 1.9.3 h7c1a80f_0
    - make 4.2.1 hfd63f10_1
    - ncurses 6.2 hfd63f10_0
    - openssl 1.1.1k hfd63f10_1
    - perl 5.26.2 hfd63f10_0
    - rhash 1.4.1 hcd09bdd_1
    - sysroot_linux-aarch64 2.26 h4744778_13
    - xz 5.2.5 hfd63f10_1
    - zlib 1.2.11 hfd63f10_5
    - zstd 1.4.9 h20642d3_2
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libllvm10 10.0.1 h6c8bc22_6
    - libstdcxx-ng 10.2.0 h1234567_51
    - llvm-tools 10.0.1 h59a28a9_6
    - llvmdev 10.0.1 h59a28a9_6
    - zlib 1.2.11 hfd63f10_5
  run: []
  run_constrained:
    - clangdev 10.0.1|10.0.1.*
    - llvmdev 10.0.1|10.0.1.*
    - openmp 10.0.1|10.0.1.*
test:
  commands:
    - test -f $PREFIX/lib/libomp.so
    - test -f $PREFIX/include/omp.h
    - $PREFIX/bin/clang -v -fopenmp -I$PREFIX/include -L$PREFIX/lib -Wl,-rpath,$PREFIX/lib
      omp_hello.c -o omp_hello
    - ./omp_hello
  files:
    - omp_hello.c
  requires:
    - clangxx
    - gxx_linux-aarch64 10.2.0.*
about:
  home: http://openmp.llvm.org/
  license: NCSA
  license_file: LICENSE.txt
  summary: The OpenMP API supports multi-platform shared-memory parallel programming
    in C/C++ and Fortran.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - beckermr
    - inducer
    - isuruf
    - jakirkham
    - yesimon
